> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Incoming Webhook Wait

> Webhook endpoint to trigger a workflow.

This is an external facing endpoint is used to trigger a workflow by sending a webhook request.
The workflow is identified by the `path` parameter, which is equivalent to the workflow id.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json post /webhooks/{workflow_id}/{secret}/wait
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /webhooks/{workflow_id}/{secret}/wait:
    post:
      tags:
        - public
      summary: Incoming Webhook Wait
      description: >-
        Webhook endpoint to trigger a workflow.


        This is an external facing endpoint is used to trigger a workflow by
        sending a webhook request.

        The workflow is identified by the `path` parameter, which is equivalent
        to the workflow id.
      operationId: public-incoming_webhook_wait
      parameters:
        - name: secret
          in: path
          required: true
          schema:
            type: string
            title: Secret
        - name: workflow_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                pattern: wf_[0-9a-zA-Z]+
              - type: string
                pattern: wf-[0-9a-f]{32}
            title: Workflow Id
        - name: unwrap
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Return the workflow result directly as the response body, without
              the `{kind, value}` envelope. Requires the result to fit inline.
              If the result was externalized, returns 413 with the download
              envelope in `detail`.
            default: false
            title: Unwrap
          description: >-
            Return the workflow result directly as the response body, without
            the `{kind, value}` envelope. Requires the result to fit inline. If
            the result was externalized, returns 413 with the download envelope
            in `detail`.
        - name: content-type
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Content-Type
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WaitResultOutput'
        '413':
          description: >-
            Unwrapped workflow result exceeded inline response limits. Use
            `detail.download_url` to fetch the externalized result.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WaitResultUnwrapOverflowResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WaitResultOutput:
      anyOf:
        - $ref: '#/components/schemas/WebhookStoredObjectInlineResponse'
        - $ref: '#/components/schemas/WebhookStoredObjectDownloadResponse'
    WaitResultUnwrapOverflowResponse:
      properties:
        detail:
          $ref: '#/components/schemas/WebhookStoredObjectDownloadResponse'
      type: object
      required:
        - detail
      title: WaitResultUnwrapOverflowResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebhookStoredObjectInlineResponse:
      properties:
        kind:
          type: string
          const: value
          title: Kind
        value:
          title: Value
      type: object
      required:
        - kind
        - value
      title: WebhookStoredObjectInlineResponse
    WebhookStoredObjectDownloadResponse:
      properties:
        kind:
          type: string
          enum:
            - download_file
            - download_export
          title: Kind
        download_url:
          type: string
          title: Download Url
        expires_in_seconds:
          type: integer
          title: Expires In Seconds
        content_type:
          type: string
          title: Content Type
        size_bytes:
          type: integer
          title: Size Bytes
      type: object
      required:
        - kind
        - download_url
        - expires_in_seconds
        - content_type
        - size_bytes
      title: WebhookStoredObjectDownloadResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````